Data System Object Definition Search (deprecated)

POST Search SystemObjects

POST /system_object_definition_search

Operation ID: Search SystemObjects. Tags: system_object_definition_search. Security: oauth2_application.

Searches for system objects.

The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:

  • object_type - String

  • display_name - Localized < String >

  • description - Localized < String >

  • read_only - Boolean

The output of the query can also be sorted. These are the list of sortable attributes:

  • object_type - String

  • display_name - Localized < String >

  • description - Localized < String >

  • read_only - Boolean

This endpoint may return the following faults:

  • 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 400 MalformedSearchParameterException - Thrown if the query is ill-formed.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: object_type_definition_search_result.